Skip to main content
POST
/
api
/
v1
/
interviews
Create Interview
curl --request POST \
  --url https://api.getversive.com/api/v1/interviews \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "study_id": "study_123",
  "title": "New Interview",
  "metadata": {},
  "language": "English"
}
'
{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "title": "New Interview",
  "study_id": "study_123",
  "metadata": {},
  "link": "https://getversive.com/s/study_123?vid=vid_123",
  "status": "open",
  "created_at": "2024-01-01T00:00:00Z"
}
Create a new interview session for a study. Returns a unique interview ID and link for the participant.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
study_id
string
required
metadata
Metadata · object
language
string
default:English
title
string | null

Response

Successful Response